Loading...
Searching...
No Matches
scatter_message< Container, true >

## Detailed Description

template<class Container>
class rheolef::scatter_message< Container, true >

Definition at line 118 of file scatter_message.h.

Inheritance diagram for scatter_message< Container, true >:

## Public Types

typedef scatter_message< std::vector< typename Container::size_type >, false > | base
typedef base::size_type | size_type
typedef Container::value_type | value_type
typedef value_type::value_type | base_value_type

## Public Member Functions

const std::vector< base_value_type > & | values () const
std::vector< base_value_type > & | values ()
const std::vector< size_type > & | indices () const
std::vector< size_type > & | indices ()
const std::vector< size_type > & | procs () const
std::vector< size_type > & | procs ()
const std::vector< size_type > & | starts () const
std::vector< size_type > & | starts ()
base & | get_base ()
| scatter_message ()
void | multi_init ()
template<class InputIterator >
void | load_values (InputIterator x)
template<class OutputIterator , class SetOp >
void | store_values (OutputIterator y, size_type i_receive, SetOp op) const
size_type | n_proc () const
size_type | n_data () const

## Protected Attributes

std::vector< base_value_type > | _multi_values
std::vector< size_type > | _multi_indices
std::vector< size_type > | _multi_procs
std::vector< size_type > | _multi_starts
std::vector< size_type > | _ptr
std::vector< size_type > | _multi_irecv2base_irecv

## Member Typedef Documentation

## base

template<class Container >

typedef scatter_message<std::vector<typename Container::size_type>, false> base

Definition at line 120 of file scatter_message.h.

## size_type

template<class Container >

typedef base::size_type size_type

Definition at line 122 of file scatter_message.h.

## value_type

template<class Container >

typedef Container::value_type value_type

Definition at line 123 of file scatter_message.h.

## base_value_type

template<class Container >

typedef value_type::value_type base_value_type

Definition at line 124 of file scatter_message.h.

## Constructor & Destructor Documentation

## scatter_message()

template<class Container >

scatter_message | ( |  | ) |

Definition at line 151 of file scatter_message.h.

## Member Function Documentation

## values() [1/2]

template<class Container >

const std::vector< base_value_type > & values | ( |  | ) | const

Definition at line 137 of file scatter_message.h.

## values() [2/2]

template<class Container >

std::vector< base_value_type > & values | ( |  | ) |

Definition at line 138 of file scatter_message.h.

## indices() [1/2]

template<class Container >

const std::vector< size_type > & indices | ( |  | ) | const

Definition at line 140 of file scatter_message.h.

## indices() [2/2]

template<class Container >

std::vector< size_type > & indices | ( |  | ) |

Definition at line 141 of file scatter_message.h.

## procs() [1/2]

template<class Container >

const std::vector< size_type > & procs | ( |  | ) | const

Definition at line 142 of file scatter_message.h.

## procs() [2/2]

template<class Container >

std::vector< size_type > & procs | ( |  | ) |

Definition at line 143 of file scatter_message.h.

## starts() [1/2]

template<class Container >

const std::vector< size_type > & starts | ( |  | ) | const

Definition at line 144 of file scatter_message.h.

## starts() [2/2]

template<class Container >

std::vector< size_type > & starts | ( |  | ) |

Definition at line 145 of file scatter_message.h.

## get_base()

template<class Container >

base & get_base | ( |  | ) |

Definition at line 147 of file scatter_message.h.

## multi_init()

template<class Container >

void multi_init | ( |  | ) |

Definition at line 44 of file scatter_message.icc.

## load_values()

template<class Container >
template<class InputIterator >

void load_values | ( | InputIterator | x | ) |

Definition at line 139 of file scatter_message.icc.

## store_values()

template<class Container >
template<class OutputIterator , class SetOp >

void store_values | ( | OutputIterator | y,
|  | size_type | i_receive,
|  | SetOp | op
| ) |  | const

Definition at line 165 of file scatter_message.icc.

## n_proc()

template<class Container >

size_type n_proc | ( |  | ) | const

Definition at line 171 of file scatter_message.h.

## n_data()

template<class Container >

size_type n_data | ( |  | ) | const

Definition at line 172 of file scatter_message.h.

## Member Data Documentation

## _multi_values

template<class Container >

std::vector<base_value_type> _multi_values

protected

Definition at line 128 of file scatter_message.h.

## _multi_indices

template<class Container >

std::vector<size_type> _multi_indices

protected

Definition at line 129 of file scatter_message.h.

## _multi_procs

template<class Container >

std::vector<size_type> _multi_procs

protected

Definition at line 130 of file scatter_message.h.

## _multi_starts

template<class Container >

std::vector<size_type> _multi_starts

protected

Definition at line 131 of file scatter_message.h.

## _ptr

template<class Container >

std::vector<size_type> _ptr

protected

Definition at line 132 of file scatter_message.h.

## _multi_irecv2base_irecv

template<class Container >

std::vector<size_type> _multi_irecv2base_irecv

protected

Definition at line 133 of file scatter_message.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/scatter_message.h
- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/scatter_message.icc